summaryrefslogtreecommitdiffstats
path: root/scripts/contrib
diff options
context:
space:
mode:
authorMarkus Lehtonen <markus.lehtonen@linux.intel.com>2017-04-03 18:58:37 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2017-04-05 12:36:45 +0100
commited43b2dfe019f35086967a0c8dc605bc6629c75b (patch)
tree20d84c470930edf15a03dcd0c93e276f22f0c51f /scripts/contrib
parentbe3d1718a99e59e636f349586e0a64eb8e2824a4 (diff)
downloadopenembedded-core-ed43b2dfe019f35086967a0c8dc605bc6629c75b.tar.gz
build-perf-test-wrapper.sh: correctly check test script exit status
Test of the exit code was accidentally moved to wrong place when oe-git-archive was taken into use. Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'scripts/contrib')
-rwxr-xr-xscripts/contrib/build-perf-test-wrapper.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index 7b7e4dddc6..e804ac24cc 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -155,6 +155,14 @@ oe-build-perf-test --out-dir "$results_dir" \
"${oe_build_perf_test_extra_opts[@]}" \
--lock-file "$base_dir/oe-build-perf.lock"
+case $? in
+ 1) echo "ERROR: oe-build-perf-test script failed!"
+ exit 1
+ ;;
+ 2) echo "NOTE: some tests failed!"
+ ;;
+esac
+
# Commit results to git
if [ -n "$results_repo" ]; then
echo -e "\nArchiving results in $results_repo"
@@ -167,14 +175,6 @@ if [ -n "$results_repo" ]; then
"$results_dir"
fi
-case $? in
- 1) echo "ERROR: oe-build-perf-test script failed!"
- exit 1
- ;;
- 2) echo "NOTE: some tests failed!"
- ;;
-esac
-
echo -ne "\n\n-----------------\n"
echo "Global results file:"
echo -ne "\n"